changeset 3973:691f8f877a61 octave-forge

use fort77 wrapper script for fortran compilation
author goffioul
date Fri, 26 Oct 2007 12:44:59 +0000
parents d1c2b7462b78
children cf9bfb701560
files admin/Windows/msvc/run_compilation.sh
diffstat 1 files changed, 28 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/admin/Windows/msvc/run_compilation.sh	Fri Oct 26 11:03:15 2007 +0000
+++ b/admin/Windows/msvc/run_compilation.sh	Fri Oct 26 12:44:59 2007 +0000
@@ -35,7 +35,7 @@
 
 verbose=false
 packages=
-available_packages="f2c libf2c BLAS LAPACK ATLAS FFTW PCRE GLPK readline zlib SuiteSparse
+available_packages="f2c libf2c fort77 BLAS LAPACK ATLAS FFTW PCRE GLPK readline zlib SuiteSparse
 HDF5 glob libpng ARPACK libjpeg libiconv gettext cairo glib pango freetype libgd libgsl
 netcdf sed makeinfo units less CLN GiNaC wxWidgets gnuplot FLTK octave JOGL forge qhull
 VC octplot ncurses pkg-config"
@@ -287,6 +287,7 @@
     todo_check "$tbindir/Microsoft.VC80.CRT/Microsoft.VC80.CRT.manifest" VC
     todo_check "$tbindir/f2c.exe" f2c
     todo_check "$tlibdir/f2c.lib" libf2c
+    todo_check "$tbindir/fort77" fort77
     todo_check "$tbindir/blas.dll" BLAS
     todo_check "$tbindir/lapack.dll" LAPACK
     if $DOATLAS; then
@@ -445,6 +446,30 @@
   fi
 fi
 
+##########
+# fort77 #
+##########
+
+if check_package fort77; then
+  download_file fort77-1.18.tar.gz ftp://sunsite.unc.edu/pub/Linux/devel/lang/fortran/fort77-1.18.tar.gz
+  echo -n "decompressing fort77... "
+  (cd "$DOWNLOAD_DIR" && tar xfz fort77-1.18.tar.gz)
+  echo "done"
+  echo -n "installing fort77... "
+  (cd "$DOWNLOAD_DIR/fort77-1.18" &&
+    sed -e "s/, *\"-lm\" *//" -e "s/\/lib\/cpp/\$cc -E/" -e "s/\$verbose > 1/1/" \
+      -e "s/|| 'cc'/|| 'cc-msvc'/" fort77 > ttt &&
+    mv ttt fort77 &&
+    cp fort77 "$tbindir") >&5 2>&1
+  rm -rf "$DOWNLOAD_DIR/fort77-1.18"
+  if ! test -f "$tbindir/fort77"; then
+    echo "failed"
+    exit -1
+  else
+    echo "done"
+  fi
+fi
+
 ########
 # BLAS #
 ########
@@ -1474,8 +1499,9 @@
     mv ttt octMakefile.in &&
     if test ! -f "config.log"; then
       CC=cc-msvc CXX=cc-msvc CFLAGS=-O2 CXXFLAGS=-O2 NM="dumpbin -symbols" \
+        F77=fort77 FFLAGS="-O2 -Wc,-MD -Wl,-subsystem:console" FLIBS=-lf2c \
         ./configure --build=i686-pc-msdosmsvc --prefix="$octave_prefix" \
-        --with-f2c --with-zlib=zlib
+        --with-zlib=zlib
     fi &&
     if test ! -f "src/octave.exe"; then
       make